## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 11;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# what it's called on pypi
%global srcname  click-default-group
# what it's imported as
%global libname click_default_group

%global common_description %{expand:
Provides DefaultGroup, a subclass of click.Group that invokes a default
subcommand instead of showing a help message when a subcommand is not passed.}

%bcond_without  check

Name:           python-%{srcname}
Version:        1.2.2
Release:        %autorelease
Summary:        Extends click.Group to invoke a command without explicit subcommand name

License:        BSD
URL:            https://github.com/sublee/click-default-group/
Source0:        %url/archive/v%{version}/%{srcname}-%{version}.tar.gz
# Fix detection of error message in test, related to ckick 8
Patch0:         https://patch-diff.githubusercontent.com/raw/click-contrib/click-default-group/pull/18.patch#/0001-Fix-detection-of-error-message.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%description %{common_description}

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{common_description}

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires
echo 'python3dist(pytest)'

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{libname}

%if %{with check}
%check
%pytest
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Tue Jun 21 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.2.2-11
- Remove deletion of egg.info

* Tue Jun 21 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.2.2-10
- Add a switch for the tests

* Tue Jun 21 2022 Robert-André Mauchin <zebob.m@gmail.com> 1.2.2-9
- Convert to new Python guidelines

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> 1.2.2-8
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 01 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.2.2-6
- Fix FTBFS Close: rhbz#1981708

* Sat Jul 24 2021 Robert-André Mauchin <zebob.m@gmail.com> 1.2.2-5
- Convert to new guidelines

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.2.2-2
- Rebuilt for Python 3.10

* Mon May 24 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.2.2-1
- Initial package.
- Close: rhbz#1963936

